org.apache.cassandra.db.compaction

## Interface CompactionLogger.Writer

- Enclosing class:
    CompactionLogger

      public static interface CompactionLogger.Writer

  This is an interface to allow writing to a different interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(org.codehaus.jackson.JsonNode statement, CompactionLogger.StrategySummary summary, java.lang.Object tag)`
    `void` | `writeStart(org.codehaus.jackson.JsonNode statement, java.lang.Object tag)` This is used when we are already trying to write out the start of a

- - ### Method Detail

    - #### writeStart

          void writeStart(org.codehaus.jackson.JsonNode statement,
                          java.lang.Object tag)

      This is used when we are already trying to write out the start of a
      Parameters:
        `statement` - This should be written out to the medium capturing the logs
        `tag` - This is an identifier for a strategy; each strategy should have a distinct Object

    - #### write

          void write(org.codehaus.jackson.JsonNode statement,
                     CompactionLogger.StrategySummary summary,
                     java.lang.Object tag)

      Parameters:
        `statement` - This should be written out to the medium capturing the logs
        `summary` - This can be used when a tag is not recognized by this writer; this can be because the file has been rolled, or otherwise the writer had to start over
        `tag` - This is an identifier for a strategy; each strategy should have a distinct Object

Copyright © 2018 The Apache Software Foundation